# Makefile.site
# This Makefile sets generic variables.

RIP = @RIP@

RIPINCDIR = $(RIP)/include
RIPLIBDIR = $(RIP)/lib

SOURCES = $(shell ls *.c)
HEADERS = $(shell ls $(RIP)/include/*.h)
RIPDEFS = $(shell ls $(RIP)/include/*.def)

PRODUCT = @PRODUCT@
VERSION = @VERSION@


# Site-specific parameters
# Change this variables as needed

# glib-config
GLIBCONF = @glibconfig@

# xml-config
XMLLIBS = @XMLLIBS@
XMLCFLAGS = @XMLCFLAGS@

# xslt-config
XSLTLIBS = @XSLTLIBS@
XSLTCFLAGS = @XSLTCFLAGS@

# MySQL include and lib directories
MYSQLINCDIR = @mysqlincdir@
MYSQLLIBDIR = @mysqllibdir@

# c-client include and lib directories.
# Normally, they are in the same dir.
CCLIENTINCDIR = @cclientinc@
CCLIENTLIBDIR = @cclientlib@

# M4
M4 = @M4@

# libxml and libxsl5 include and lib directories
#XMLINCDIR = @xmlinc@
#XSLTINCDIR = @xsltinc@



INCLUDES = -I$(RIPINCDIR) -I$(MYSQLINCDIR) $(XMLCFLAGS) $(XSLTCFLAGS) -I$(CCLIENTINCDIR) -I. `$(GLIBCONF) --cflags`

# autoconf-generated defines and libs
ACDEFS = @DEFS@
ACLIBS = @LIBS@


# OS-specific flags

# Compilers
CC = @CC@
CXX = @CXX@

# Compiler flags
# _POSIX_PTHREAD_SEMANTICS is needed for ctime_r calls

DEFINES = -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS $(ACDEFS)

CFLAGS  = @LDFLAGS@ @CFLAGS@ -g $(INCLUDES) $(DEFINES) @XMLCFLAGS@ @XSLTCFLAGS@
LFLAGS  = @LDFLAGS@ @CFLAGS@ -g -L$(RIPLIBDIR) -L$(MYSQLLIBDIR) 
LIBS = `$(GLIBCONF) --libs gthread` -lmysqlclient_r -lm $(ACLIBS) $(CCLIENTLIBDIR)/c-client.a @XMLLIBS@ @XSLTLIBS@

